import '../entities/type_reference_entity.dart';

abstract class IOrgTypesRepository {
  Future<List<TypeReferenceEntity>> getOrgTypes();
  Future<TypeReferenceEntity> createOrgType({
    required String code,
    required String libelle,
    String? description,
    String? couleur,
    int ordreAffichage,
  });
  Future<TypeReferenceEntity> updateOrgType({
    required String id,
    required String code,
    required String libelle,
    String? description,
    String? couleur,
    int ordreAffichage,
  });
  Future<void> deleteOrgType(String id);
}
